<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Part.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Part</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../HTML.html" >HTML</a>.Part

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Part/Part.html" >Part</a></div> <div class="xref"><a href="../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line23" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for formatting a Part of a Scope View.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Part/Part.html" >Part</a></div> <div class="xref"><a href="../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line23" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for formatting a Part of a Scope View.
    
    This class contains functionality for modularly formatting an ASG node and
    its children for display. It is typically used to construct Heading&#44;
    Summary and Detail formatters. Strategy objects are added according to
    configuration&#44; and this base class  then checks which format methods each
    strategy implements. For each ASG declaration visited&#44; the Part asks all
    Strategies which implement the appropriate format method to generate
    output for that declaration. The final writing of the formatted html is
    delegated to the write_section_start&#44; write_section_end&#44; and write_section_item
    methods&#44; which must be implemented in a subclass.
    </div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
